summaryrefslogtreecommitdiff
path: root/gentextures.sh
diff options
context:
space:
mode:
Diffstat (limited to 'gentextures.sh')
-rwxr-xr-xgentextures.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/gentextures.sh b/gentextures.sh
index 5717d91..5bfde7e 100755
--- a/gentextures.sh
+++ b/gentextures.sh
@@ -1,5 +1,15 @@
#!/bin/bash
+if [ -z "`which convert`"] ; then {
+ echo "Please install Imagemagick."
+ exit 1
+}
+
+if [ -z "`which bc`"] ; then {
+ echo "Please install GNU bc."
+ exit 1
+}
+
if [ $1 = "-t" ] ; then {
TINT_OVERLAY=$1
BASE=$2